import{S as Ot,i as Vt,s as Kt,e as n,k as r,w as y,t as p,M as Qt,c as l,d as e,m as o,a as i,x,h as c,b as t,G as s,g as f,y as v,L as Yt,q as w,o as j,B as k,v as Zt}from"../../chunks/vendor-hf-doc-builder.js";import{I as L}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{C as dt}from"../../chunks/CodeBlock-hf-doc-builder.js";function Xt(gt){let b,ha,_,H,Gs,O,Ra,Os,Da,ua,F,za,V,Ba,Ja,fa,$,U,Vs,K,Wa,Ks,Ga,da,Q,ga,I,q,Qs,Y,Oa,Ys,Va,ma,m,Ka,Zs,Qa,Ya,Z,Za,Xa,X,se,ae,ya,E,M,Xs,ss,ee,sa,te,xa,as,va,P,R,aa,es,ne,ea,le,wa,A,D,ta,ts,ie,na,re,ja,u,ns,Es,oe,pe,ls,Ps,ce,he,is,As,ue,fe,rs,Ts,de,ge,os,Ss,me,ye,ps,Ns,xe,ve,cs,Cs,we,je,hs,Ls,ke,be,us,Hs,_e,$e,fs,Fs,Ie,Ee,ds,Us,Pe,Ae,gs,qs,Te,Se,ms,Ms,Ne,ka,T,z,la,ys,Ce,ia,Le,ba,S,xs,Rs,He,Fe,vs,Ds,Ue,_a,N,B,ra,ws,qe,oa,Me,$a,g,js,zs,Re,De,ks,Bs,ze,Be,bs,Js,Je,We,_s,Ws,Ge,Ia,C,J,pa,$s,Oe,ca,Ve,Ea,Is,Pa;return O=new L({}),K=new L({}),Q=new dt({props:{code:`npm install @huggingface/inference

yarn add @huggingface/inference

pnpm add @huggingface/inference`,highlighted:`npm install @huggingface/inference

yarn add @huggingface/inference

pnpm add @huggingface/inference`}}),Y=new L({}),ss=new L({}),as=new dt({props:{code:`import { HfInference } from '@huggingface/inference'

const hf = new HfInference('your api key')

// Natural Language

await hf.fillMask({
  model: 'bert-base-uncased',
  inputs: '[MASK] world!'
})

await hf.summarization({
  model: 'facebook/bart-large-cnn',
  inputs:
    'The tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building, and the tallest structure in Paris. Its base is square, measuring 125 metres (410 ft) on each side. During its construction, the Eiffel Tower surpassed the Washington Monument to become the tallest man-made structure in the world, a title it held for 41 years until the Chrysler Building in New York City was finished in 1930.',
  parameters: {
    max_length: 100
  }
})

await hf.questionAnswer({
  model: 'deepset/roberta-base-squad2',
  inputs: {
    question: 'What is the capital of France?',
    context: 'The capital of France is Paris.'
  }
})

await hf.tableQuestionAnswer({
  model: 'google/tapas-base-finetuned-wtq',
  inputs: {
    query: 'How many stars does the transformers repository have?',
    table: {
      Repository: ['Transformers', 'Datasets', 'Tokenizers'],
      Stars: ['36542', '4512', '3934'],
      Contributors: ['651', '77', '34'],
      'Programming language': ['Python', 'Python', 'Rust, Python and NodeJS']
    }
  }
})

await hf.textClassification({
  model: 'distilbert-base-uncased-finetuned-sst-2-english',
  inputs: 'I like you. I love you.'
})

await hf.textGeneration({
  model: 'gpt2',
  inputs: 'The answer to the universe is'
})

await hf.tokenClassification({
  model: 'dbmdz/bert-large-cased-finetuned-conll03-english',
  inputs: 'My name is Sarah Jessica Parker but you can call me Jessica'
})

await hf.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await hf.zeroShotClassification({
  model: 'facebook/bart-large-mnli',
  inputs: [
    'Hi, I recently bought a device from your company but it is not working as advertised and I would like to get reimbursed!'
  ],
  parameters: { candidate_labels: ['refund', 'legal', 'faq'] }
})

await hf.conversational({
  model: 'microsoft/DialoGPT-large',
  inputs: {
    past_user_inputs: ['Which movie is the best ?'],
    generated_responses: ['It is Die Hard for sure.'],
    text: 'Can you explain why ?'
  }
})

await hf.featureExtraction({
  model: 'sentence-transformers/paraphrase-xlm-r-multilingual-v1',
  inputs: {
    source_sentence: 'That is a happy person',
    sentences: [
      'That is a happy dog',
      'That is a very happy person',
      'Today is a sunny day'
    ]
  }
})

// Audio

await hf.automaticSpeechRecognition({
  model: 'facebook/wav2vec2-large-960h-lv60-self',
  data: readFileSync('test/sample1.flac')
})

await hf.audioClassification({
  model: 'superb/hubert-large-superb-er',
  data: readFileSync('test/sample1.flac')
})

// Computer Vision

await hf.imageClassification({
  data: readFileSync('test/cheetah.png'),
  model: 'google/vit-base-patch16-224'
})

await hf.objectDetection({
  data: readFileSync('test/cats.png'),
  model: 'facebook/detr-resnet-50'
})

await hf.imageSegmentation({
  data: readFileSync('test/cats.png'),
  model: 'facebook/detr-resnet-50-panoptic'
})

await hf.textToImage({
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  negative_prompt: 'blurry',
  model: 'stabilityai/stable-diffusion-2',
})`,highlighted:`<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/inference&#x27;</span>

<span class="hljs-keyword">const</span> hf = <span class="hljs-keyword">new</span> <span class="hljs-title class_">HfInference</span>(<span class="hljs-string">&#x27;your api key&#x27;</span>)

<span class="hljs-comment">// Natural Language</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">fillMask</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;bert-base-uncased&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;[MASK] world!&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">summarization</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/bart-large-cnn&#x27;</span>,
  <span class="hljs-attr">inputs</span>:
    <span class="hljs-string">&#x27;The tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building, and the tallest structure in Paris. Its base is square, measuring 125 metres (410 ft) on each side. During its construction, the Eiffel Tower surpassed the Washington Monument to become the tallest man-made structure in the world, a title it held for 41 years until the Chrysler Building in New York City was finished in 1930.&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">max_length</span>: <span class="hljs-number">100</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">questionAnswer</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;deepset/roberta-base-squad2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">question</span>: <span class="hljs-string">&#x27;What is the capital of France?&#x27;</span>,
    <span class="hljs-attr">context</span>: <span class="hljs-string">&#x27;The capital of France is Paris.&#x27;</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">tableQuestionAnswer</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;google/tapas-base-finetuned-wtq&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">query</span>: <span class="hljs-string">&#x27;How many stars does the transformers repository have?&#x27;</span>,
    <span class="hljs-attr">table</span>: {
      <span class="hljs-title class_">Repository</span>: [<span class="hljs-string">&#x27;Transformers&#x27;</span>, <span class="hljs-string">&#x27;Datasets&#x27;</span>, <span class="hljs-string">&#x27;Tokenizers&#x27;</span>],
      <span class="hljs-title class_">Stars</span>: [<span class="hljs-string">&#x27;36542&#x27;</span>, <span class="hljs-string">&#x27;4512&#x27;</span>, <span class="hljs-string">&#x27;3934&#x27;</span>],
      <span class="hljs-title class_">Contributors</span>: [<span class="hljs-string">&#x27;651&#x27;</span>, <span class="hljs-string">&#x27;77&#x27;</span>, <span class="hljs-string">&#x27;34&#x27;</span>],
      <span class="hljs-string">&#x27;Programming language&#x27;</span>: [<span class="hljs-string">&#x27;Python&#x27;</span>, <span class="hljs-string">&#x27;Python&#x27;</span>, <span class="hljs-string">&#x27;Rust, Python and NodeJS&#x27;</span>]
    }
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;distilbert-base-uncased-finetuned-sst-2-english&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;I like you. I love you.&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textGeneration</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;gpt2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;The answer to the universe is&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">tokenClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;dbmdz/bert-large-cased-finetuned-conll03-english&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Sarah Jessica Parker but you can call me Jessica&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">zeroShotClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/bart-large-mnli&#x27;</span>,
  <span class="hljs-attr">inputs</span>: [
    <span class="hljs-string">&#x27;Hi, I recently bought a device from your company but it is not working as advertised and I would like to get reimbursed!&#x27;</span>
  ],
  <span class="hljs-attr">parameters</span>: { <span class="hljs-attr">candidate_labels</span>: [<span class="hljs-string">&#x27;refund&#x27;</span>, <span class="hljs-string">&#x27;legal&#x27;</span>, <span class="hljs-string">&#x27;faq&#x27;</span>] }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">conversational</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;microsoft/DialoGPT-large&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">past_user_inputs</span>: [<span class="hljs-string">&#x27;Which movie is the best ?&#x27;</span>],
    <span class="hljs-attr">generated_responses</span>: [<span class="hljs-string">&#x27;It is Die Hard for sure.&#x27;</span>],
    <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Can you explain why ?&#x27;</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">featureExtraction</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;sentence-transformers/paraphrase-xlm-r-multilingual-v1&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">source_sentence</span>: <span class="hljs-string">&#x27;That is a happy person&#x27;</span>,
    <span class="hljs-attr">sentences</span>: [
      <span class="hljs-string">&#x27;That is a happy dog&#x27;</span>,
      <span class="hljs-string">&#x27;That is a very happy person&#x27;</span>,
      <span class="hljs-string">&#x27;Today is a sunny day&#x27;</span>
    ]
  }
})

<span class="hljs-comment">// Audio</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">automaticSpeechRecognition</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/wav2vec2-large-960h-lv60-self&#x27;</span>,
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/sample1.flac&#x27;</span>)
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">audioClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;superb/hubert-large-superb-er&#x27;</span>,
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/sample1.flac&#x27;</span>)
})

<span class="hljs-comment">// Computer Vision</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageClassification</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cheetah.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;google/vit-base-patch16-224&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">objectDetection</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/detr-resnet-50&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageSegmentation</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/detr-resnet-50-panoptic&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
})`}}),es=new L({}),ts=new L({}),ys=new L({}),ws=new L({}),$s=new L({}),Is=new dt({props:{code:'HF_ACCESS_TOKEN="your access token" npm run test',highlighted:"HF_ACCESS_TOKEN=&quot;your access token&quot; npm run test"}}),{c(){b=n("meta"),ha=r(),_=n("h1"),H=n("a"),Gs=n("span"),y(O.$$.fragment),Ra=r(),Os=n("span"),Da=p("\u{1F917} Hugging Face Inference API"),ua=r(),F=n("p"),za=p("A Typescript powered wrapper for the Hugging Face Inference API. Learn more about the Inference API at "),V=n("a"),Ba=p("Hugging Face"),Ja=p("."),fa=r(),$=n("h2"),U=n("a"),Vs=n("span"),y(K.$$.fragment),Wa=r(),Ks=n("span"),Ga=p("Install"),da=r(),y(Q.$$.fragment),ga=r(),I=n("h2"),q=n("a"),Qs=n("span"),y(Y.$$.fragment),Oa=r(),Ys=n("span"),Va=p("Usage"),ma=r(),m=n("p"),Ka=p("\u2757"),Zs=n("strong"),Qa=p("Important note:"),Ya=p(" Using an API key is optional to get started (simply provide a random string), however you will be rate limited eventually. Join "),Z=n("a"),Za=p("Hugging Face"),Xa=p(" and then visit "),X=n("a"),se=p("access tokens"),ae=p(" to generate your API key."),ya=r(),E=n("h3"),M=n("a"),Xs=n("span"),y(ss.$$.fragment),ee=r(),sa=n("span"),te=p("Basic examples"),xa=r(),y(as.$$.fragment),va=r(),P=n("h2"),R=n("a"),aa=n("span"),y(es.$$.fragment),ne=r(),ea=n("span"),le=p("Supported APIs"),wa=r(),A=n("h3"),D=n("a"),ta=n("span"),y(ts.$$.fragment),ie=r(),na=n("span"),re=p("Natural Language Processing"),ja=r(),u=n("ul"),ns=n("li"),Es=n("input"),oe=p(" Fill mask"),pe=r(),ls=n("li"),Ps=n("input"),ce=p(" Summarization"),he=r(),is=n("li"),As=n("input"),ue=p(" Question answering"),fe=r(),rs=n("li"),Ts=n("input"),de=p(" Table question answering"),ge=r(),os=n("li"),Ss=n("input"),me=p(" Text classification"),ye=r(),ps=n("li"),Ns=n("input"),xe=p(" Text generation"),ve=r(),cs=n("li"),Cs=n("input"),we=p(" Text2Text generation"),je=r(),hs=n("li"),Ls=n("input"),ke=p(" Token classification"),be=r(),us=n("li"),Hs=n("input"),_e=p(" Named entity recognition"),$e=r(),fs=n("li"),Fs=n("input"),Ie=p(" Translation"),Ee=r(),ds=n("li"),Us=n("input"),Pe=p(" Zero-shot classification"),Ae=r(),gs=n("li"),qs=n("input"),Te=p(" Conversational"),Se=r(),ms=n("li"),Ms=n("input"),Ne=p(" Feature extraction"),ka=r(),T=n("h3"),z=n("a"),la=n("span"),y(ys.$$.fragment),Ce=r(),ia=n("span"),Le=p("Audio"),ba=r(),S=n("ul"),xs=n("li"),Rs=n("input"),He=p(" Automatic speech recognition"),Fe=r(),vs=n("li"),Ds=n("input"),Ue=p(" Audio classification"),_a=r(),N=n("h3"),B=n("a"),ra=n("span"),y(ws.$$.fragment),qe=r(),oa=n("span"),Me=p("Computer Vision"),$a=r(),g=n("ul"),js=n("li"),zs=n("input"),Re=p(" Image classification"),De=r(),ks=n("li"),Bs=n("input"),ze=p(" Object detection"),Be=r(),bs=n("li"),Js=n("input"),Je=p(" Image segmentation"),We=r(),_s=n("li"),Ws=n("input"),Ge=p(" Text to image"),Ia=r(),C=n("h2"),J=n("a"),pa=n("span"),y($s.$$.fragment),Oe=r(),ca=n("span"),Ve=p("Running tests"),Ea=r(),y(Is.$$.fragment),this.h()},l(a){const h=Qt('[data-svelte="svelte-1phssyn"]',document.head);b=l(h,"META",{name:!0,content:!0}),h.forEach(e),ha=o(a),_=l(a,"H1",{class:!0});var Aa=i(_);H=l(Aa,"A",{id:!0,class:!0,href:!0});var mt=i(H);Gs=l(mt,"SPAN",{});var yt=i(Gs);x(O.$$.fragment,yt),yt.forEach(e),mt.forEach(e),Ra=o(Aa),Os=l(Aa,"SPAN",{});var xt=i(Os);Da=c(xt,"\u{1F917} Hugging Face Inference API"),xt.forEach(e),Aa.forEach(e),ua=o(a),F=l(a,"P",{});var Ta=i(F);za=c(Ta,"A Typescript powered wrapper for the Hugging Face Inference API. Learn more about the Inference API at "),V=l(Ta,"A",{href:!0,rel:!0});var vt=i(V);Ba=c(vt,"Hugging Face"),vt.forEach(e),Ja=c(Ta,"."),Ta.forEach(e),fa=o(a),$=l(a,"H2",{class:!0});var Sa=i($);U=l(Sa,"A",{id:!0,class:!0,href:!0});var wt=i(U);Vs=l(wt,"SPAN",{});var jt=i(Vs);x(K.$$.fragment,jt),jt.forEach(e),wt.forEach(e),Wa=o(Sa),Ks=l(Sa,"SPAN",{});var kt=i(Ks);Ga=c(kt,"Install"),kt.forEach(e),Sa.forEach(e),da=o(a),x(Q.$$.fragment,a),ga=o(a),I=l(a,"H2",{class:!0});var Na=i(I);q=l(Na,"A",{id:!0,class:!0,href:!0});var bt=i(q);Qs=l(bt,"SPAN",{});var _t=i(Qs);x(Y.$$.fragment,_t),_t.forEach(e),bt.forEach(e),Oa=o(Na),Ys=l(Na,"SPAN",{});var $t=i(Ys);Va=c($t,"Usage"),$t.forEach(e),Na.forEach(e),ma=o(a),m=l(a,"P",{});var W=i(m);Ka=c(W,"\u2757"),Zs=l(W,"STRONG",{});var It=i(Zs);Qa=c(It,"Important note:"),It.forEach(e),Ya=c(W," Using an API key is optional to get started (simply provide a random string), however you will be rate limited eventually. Join "),Z=l(W,"A",{href:!0,rel:!0});var Et=i(Z);Za=c(Et,"Hugging Face"),Et.forEach(e),Xa=c(W," and then visit "),X=l(W,"A",{href:!0,rel:!0});var Pt=i(X);se=c(Pt,"access tokens"),Pt.forEach(e),ae=c(W," to generate your API key."),W.forEach(e),ya=o(a),E=l(a,"H3",{class:!0});var Ca=i(E);M=l(Ca,"A",{id:!0,class:!0,href:!0});var At=i(M);Xs=l(At,"SPAN",{});var Tt=i(Xs);x(ss.$$.fragment,Tt),Tt.forEach(e),At.forEach(e),ee=o(Ca),sa=l(Ca,"SPAN",{});var St=i(sa);te=c(St,"Basic examples"),St.forEach(e),Ca.forEach(e),xa=o(a),x(as.$$.fragment,a),va=o(a),P=l(a,"H2",{class:!0});var La=i(P);R=l(La,"A",{id:!0,class:!0,href:!0});var Nt=i(R);aa=l(Nt,"SPAN",{});var Ct=i(aa);x(es.$$.fragment,Ct),Ct.forEach(e),Nt.forEach(e),ne=o(La),ea=l(La,"SPAN",{});var Lt=i(ea);le=c(Lt,"Supported APIs"),Lt.forEach(e),La.forEach(e),wa=o(a),A=l(a,"H3",{class:!0});var Ha=i(A);D=l(Ha,"A",{id:!0,class:!0,href:!0});var Ht=i(D);ta=l(Ht,"SPAN",{});var Ft=i(ta);x(ts.$$.fragment,Ft),Ft.forEach(e),Ht.forEach(e),ie=o(Ha),na=l(Ha,"SPAN",{});var Ut=i(na);re=c(Ut,"Natural Language Processing"),Ut.forEach(e),Ha.forEach(e),ja=o(a),u=l(a,"UL",{class:!0});var d=i(u);ns=l(d,"LI",{class:!0});var Ke=i(ns);Es=l(Ke,"INPUT",{type:!0}),oe=c(Ke," Fill mask"),Ke.forEach(e),pe=o(d),ls=l(d,"LI",{class:!0});var Qe=i(ls);Ps=l(Qe,"INPUT",{type:!0}),ce=c(Qe," Summarization"),Qe.forEach(e),he=o(d),is=l(d,"LI",{class:!0});var Ye=i(is);As=l(Ye,"INPUT",{type:!0}),ue=c(Ye," Question answering"),Ye.forEach(e),fe=o(d),rs=l(d,"LI",{class:!0});var Ze=i(rs);Ts=l(Ze,"INPUT",{type:!0}),de=c(Ze," Table question answering"),Ze.forEach(e),ge=o(d),os=l(d,"LI",{class:!0});var Xe=i(os);Ss=l(Xe,"INPUT",{type:!0}),me=c(Xe," Text classification"),Xe.forEach(e),ye=o(d),ps=l(d,"LI",{class:!0});var st=i(ps);Ns=l(st,"INPUT",{type:!0}),xe=c(st," Text generation"),st.forEach(e),ve=o(d),cs=l(d,"LI",{class:!0});var at=i(cs);Cs=l(at,"INPUT",{type:!0}),we=c(at," Text2Text generation"),at.forEach(e),je=o(d),hs=l(d,"LI",{class:!0});var et=i(hs);Ls=l(et,"INPUT",{type:!0}),ke=c(et," Token classification"),et.forEach(e),be=o(d),us=l(d,"LI",{class:!0});var tt=i(us);Hs=l(tt,"INPUT",{type:!0}),_e=c(tt," Named entity recognition"),tt.forEach(e),$e=o(d),fs=l(d,"LI",{class:!0});var nt=i(fs);Fs=l(nt,"INPUT",{type:!0}),Ie=c(nt," Translation"),nt.forEach(e),Ee=o(d),ds=l(d,"LI",{class:!0});var lt=i(ds);Us=l(lt,"INPUT",{type:!0}),Pe=c(lt," Zero-shot classification"),lt.forEach(e),Ae=o(d),gs=l(d,"LI",{class:!0});var it=i(gs);qs=l(it,"INPUT",{type:!0}),Te=c(it," Conversational"),it.forEach(e),Se=o(d),ms=l(d,"LI",{class:!0});var rt=i(ms);Ms=l(rt,"INPUT",{type:!0}),Ne=c(rt," Feature extraction"),rt.forEach(e),d.forEach(e),ka=o(a),T=l(a,"H3",{class:!0});var Fa=i(T);z=l(Fa,"A",{id:!0,class:!0,href:!0});var qt=i(z);la=l(qt,"SPAN",{});var Mt=i(la);x(ys.$$.fragment,Mt),Mt.forEach(e),qt.forEach(e),Ce=o(Fa),ia=l(Fa,"SPAN",{});var Rt=i(ia);Le=c(Rt,"Audio"),Rt.forEach(e),Fa.forEach(e),ba=o(a),S=l(a,"UL",{class:!0});var Ua=i(S);xs=l(Ua,"LI",{class:!0});var ot=i(xs);Rs=l(ot,"INPUT",{type:!0}),He=c(ot," Automatic speech recognition"),ot.forEach(e),Fe=o(Ua),vs=l(Ua,"LI",{class:!0});var pt=i(vs);Ds=l(pt,"INPUT",{type:!0}),Ue=c(pt," Audio classification"),pt.forEach(e),Ua.forEach(e),_a=o(a),N=l(a,"H3",{class:!0});var qa=i(N);B=l(qa,"A",{id:!0,class:!0,href:!0});var Dt=i(B);ra=l(Dt,"SPAN",{});var zt=i(ra);x(ws.$$.fragment,zt),zt.forEach(e),Dt.forEach(e),qe=o(qa),oa=l(qa,"SPAN",{});var Bt=i(oa);Me=c(Bt,"Computer Vision"),Bt.forEach(e),qa.forEach(e),$a=o(a),g=l(a,"UL",{class:!0});var G=i(g);js=l(G,"LI",{class:!0});var ct=i(js);zs=l(ct,"INPUT",{type:!0}),Re=c(ct," Image classification"),ct.forEach(e),De=o(G),ks=l(G,"LI",{class:!0});var ht=i(ks);Bs=l(ht,"INPUT",{type:!0}),ze=c(ht," Object detection"),ht.forEach(e),Be=o(G),bs=l(G,"LI",{class:!0});var ut=i(bs);Js=l(ut,"INPUT",{type:!0}),Je=c(ut," Image segmentation"),ut.forEach(e),We=o(G),_s=l(G,"LI",{class:!0});var ft=i(_s);Ws=l(ft,"INPUT",{type:!0}),Ge=c(ft," Text to image"),ft.forEach(e),G.forEach(e),Ia=o(a),C=l(a,"H2",{class:!0});var Ma=i(C);J=l(Ma,"A",{id:!0,class:!0,href:!0});var Jt=i(J);pa=l(Jt,"SPAN",{});var Wt=i(pa);x($s.$$.fragment,Wt),Wt.forEach(e),Jt.forEach(e),Oe=o(Ma),ca=l(Ma,"SPAN",{});var Gt=i(ca);Ve=c(Gt,"Running tests"),Gt.forEach(e),Ma.forEach(e),Ea=o(a),x(Is.$$.fragment,a),this.h()},h(){t(b,"name","hf:doc:metadata"),t(b,"content",JSON.stringify(sn)),t(H,"id","hugging-face-inference-api"),t(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(H,"href","#hugging-face-inference-api"),t(_,"class","relative group"),t(V,"href","https://huggingface.co/docs/api-inference/index"),t(V,"rel","nofollow"),t(U,"id","install"),t(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(U,"href","#install"),t($,"class","relative group"),t(q,"id","usage"),t(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(q,"href","#usage"),t(I,"class","relative group"),t(Z,"href","https://huggingface.co/join"),t(Z,"rel","nofollow"),t(X,"href","https://huggingface.co/settings/tokens"),t(X,"rel","nofollow"),t(M,"id","basic-examples"),t(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(M,"href","#basic-examples"),t(E,"class","relative group"),t(R,"id","supported-apis"),t(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(R,"href","#supported-apis"),t(P,"class","relative group"),t(D,"id","natural-language-processing"),t(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(D,"href","#natural-language-processing"),t(A,"class","relative group"),t(Es,"type","checkbox"),Es.checked=!0,Es.disabled=!0,t(ns,"class","task-list-item"),t(Ps,"type","checkbox"),Ps.checked=!0,Ps.disabled=!0,t(ls,"class","task-list-item"),t(As,"type","checkbox"),As.checked=!0,As.disabled=!0,t(is,"class","task-list-item"),t(Ts,"type","checkbox"),Ts.checked=!0,Ts.disabled=!0,t(rs,"class","task-list-item"),t(Ss,"type","checkbox"),Ss.checked=!0,Ss.disabled=!0,t(os,"class","task-list-item"),t(Ns,"type","checkbox"),Ns.checked=!0,Ns.disabled=!0,t(ps,"class","task-list-item"),t(Cs,"type","checkbox"),Cs.checked=!0,Cs.disabled=!0,t(cs,"class","task-list-item"),t(Ls,"type","checkbox"),Ls.checked=!0,Ls.disabled=!0,t(hs,"class","task-list-item"),t(Hs,"type","checkbox"),Hs.checked=!0,Hs.disabled=!0,t(us,"class","task-list-item"),t(Fs,"type","checkbox"),Fs.checked=!0,Fs.disabled=!0,t(fs,"class","task-list-item"),t(Us,"type","checkbox"),Us.checked=!0,Us.disabled=!0,t(ds,"class","task-list-item"),t(qs,"type","checkbox"),qs.checked=!0,qs.disabled=!0,t(gs,"class","task-list-item"),t(Ms,"type","checkbox"),Ms.checked=!0,Ms.disabled=!0,t(ms,"class","task-list-item"),t(u,"class","contains-task-list"),t(z,"id","audio"),t(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(z,"href","#audio"),t(T,"class","relative group"),t(Rs,"type","checkbox"),Rs.checked=!0,Rs.disabled=!0,t(xs,"class","task-list-item"),t(Ds,"type","checkbox"),Ds.checked=!0,Ds.disabled=!0,t(vs,"class","task-list-item"),t(S,"class","contains-task-list"),t(B,"id","computer-vision"),t(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(B,"href","#computer-vision"),t(N,"class","relative group"),t(zs,"type","checkbox"),zs.checked=!0,zs.disabled=!0,t(js,"class","task-list-item"),t(Bs,"type","checkbox"),Bs.checked=!0,Bs.disabled=!0,t(ks,"class","task-list-item"),t(Js,"type","checkbox"),Js.checked=!0,Js.disabled=!0,t(bs,"class","task-list-item"),t(Ws,"type","checkbox"),Ws.checked=!0,Ws.disabled=!0,t(_s,"class","task-list-item"),t(g,"class","contains-task-list"),t(J,"id","running-tests"),t(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),t(J,"href","#running-tests"),t(C,"class","relative group")},m(a,h){s(document.head,b),f(a,ha,h),f(a,_,h),s(_,H),s(H,Gs),v(O,Gs,null),s(_,Ra),s(_,Os),s(Os,Da),f(a,ua,h),f(a,F,h),s(F,za),s(F,V),s(V,Ba),s(F,Ja),f(a,fa,h),f(a,$,h),s($,U),s(U,Vs),v(K,Vs,null),s($,Wa),s($,Ks),s(Ks,Ga),f(a,da,h),v(Q,a,h),f(a,ga,h),f(a,I,h),s(I,q),s(q,Qs),v(Y,Qs,null),s(I,Oa),s(I,Ys),s(Ys,Va),f(a,ma,h),f(a,m,h),s(m,Ka),s(m,Zs),s(Zs,Qa),s(m,Ya),s(m,Z),s(Z,Za),s(m,Xa),s(m,X),s(X,se),s(m,ae),f(a,ya,h),f(a,E,h),s(E,M),s(M,Xs),v(ss,Xs,null),s(E,ee),s(E,sa),s(sa,te),f(a,xa,h),v(as,a,h),f(a,va,h),f(a,P,h),s(P,R),s(R,aa),v(es,aa,null),s(P,ne),s(P,ea),s(ea,le),f(a,wa,h),f(a,A,h),s(A,D),s(D,ta),v(ts,ta,null),s(A,ie),s(A,na),s(na,re),f(a,ja,h),f(a,u,h),s(u,ns),s(ns,Es),s(ns,oe),s(u,pe),s(u,ls),s(ls,Ps),s(ls,ce),s(u,he),s(u,is),s(is,As),s(is,ue),s(u,fe),s(u,rs),s(rs,Ts),s(rs,de),s(u,ge),s(u,os),s(os,Ss),s(os,me),s(u,ye),s(u,ps),s(ps,Ns),s(ps,xe),s(u,ve),s(u,cs),s(cs,Cs),s(cs,we),s(u,je),s(u,hs),s(hs,Ls),s(hs,ke),s(u,be),s(u,us),s(us,Hs),s(us,_e),s(u,$e),s(u,fs),s(fs,Fs),s(fs,Ie),s(u,Ee),s(u,ds),s(ds,Us),s(ds,Pe),s(u,Ae),s(u,gs),s(gs,qs),s(gs,Te),s(u,Se),s(u,ms),s(ms,Ms),s(ms,Ne),f(a,ka,h),f(a,T,h),s(T,z),s(z,la),v(ys,la,null),s(T,Ce),s(T,ia),s(ia,Le),f(a,ba,h),f(a,S,h),s(S,xs),s(xs,Rs),s(xs,He),s(S,Fe),s(S,vs),s(vs,Ds),s(vs,Ue),f(a,_a,h),f(a,N,h),s(N,B),s(B,ra),v(ws,ra,null),s(N,qe),s(N,oa),s(oa,Me),f(a,$a,h),f(a,g,h),s(g,js),s(js,zs),s(js,Re),s(g,De),s(g,ks),s(ks,Bs),s(ks,ze),s(g,Be),s(g,bs),s(bs,Js),s(bs,Je),s(g,We),s(g,_s),s(_s,Ws),s(_s,Ge),f(a,Ia,h),f(a,C,h),s(C,J),s(J,pa),v($s,pa,null),s(C,Oe),s(C,ca),s(ca,Ve),f(a,Ea,h),v(Is,a,h),Pa=!0},p:Yt,i(a){Pa||(w(O.$$.fragment,a),w(K.$$.fragment,a),w(Q.$$.fragment,a),w(Y.$$.fragment,a),w(ss.$$.fragment,a),w(as.$$.fragment,a),w(es.$$.fragment,a),w(ts.$$.fragment,a),w(ys.$$.fragment,a),w(ws.$$.fragment,a),w($s.$$.fragment,a),w(Is.$$.fragment,a),Pa=!0)},o(a){j(O.$$.fragment,a),j(K.$$.fragment,a),j(Q.$$.fragment,a),j(Y.$$.fragment,a),j(ss.$$.fragment,a),j(as.$$.fragment,a),j(es.$$.fragment,a),j(ts.$$.fragment,a),j(ys.$$.fragment,a),j(ws.$$.fragment,a),j($s.$$.fragment,a),j(Is.$$.fragment,a),Pa=!1},d(a){e(b),a&&e(ha),a&&e(_),k(O),a&&e(ua),a&&e(F),a&&e(fa),a&&e($),k(K),a&&e(da),k(Q,a),a&&e(ga),a&&e(I),k(Y),a&&e(ma),a&&e(m),a&&e(ya),a&&e(E),k(ss),a&&e(xa),k(as,a),a&&e(va),a&&e(P),k(es),a&&e(wa),a&&e(A),k(ts),a&&e(ja),a&&e(u),a&&e(ka),a&&e(T),k(ys),a&&e(ba),a&&e(S),a&&e(_a),a&&e(N),k(ws),a&&e($a),a&&e(g),a&&e(Ia),a&&e(C),k($s),a&&e(Ea),k(Is,a)}}}const sn={local:"hugging-face-inference-api",sections:[{local:"install",title:"Install"},{local:"usage",sections:[{local:"basic-examples",title:"Basic examples"}],title:"Usage"},{local:"supported-apis",sections:[{local:"natural-language-processing",title:"Natural Language Processing"},{local:"audio",title:"Audio"},{local:"computer-vision",title:"Computer Vision"}],title:"Supported APIs"},{local:"running-tests",title:"Running tests"}],title:"\u{1F917} Hugging Face Inference API"};function an(gt){return Zt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ln extends Ot{constructor(b){super();Vt(this,b,an,Xt,Kt,{})}}export{ln as default,sn as metadata};
